USE(1)

NAME
use - Frontend to the Usepackage Environment Manager

SYNOPSIS

csh and derivatives:
     source /usr/share/usepackage/use.csh

bourne shell and derivatives:
     source /usr/share/usepackage/use.bsh

korn shell:
     . /usr/share/usepackage/use.ksh

use [-vs] [-f file] package ...

use -l

DESCRIPTION
Usepackage is an environment management program. It is based on the principle of packages - collections of executables that share a common set of necessary environment variables, such as PATH, MANPATH or LD_LIBRARY_PATH.

For each given package, use sources the appropriate environment information into the current shell. The environment information is specified in a configuration file, see usepackage(1).

  OPTIONS

-v  Output verbose information to the standard error stream.

-s  Silence warnings for un-matched packages. This is useful in a shell rc script when a package is known not to be available on all architectures that the shell is used on.

-f file
    Specify an alternate initial configuration file.

-l  List available packages and groups.

FILES

/usr/share/usepackage/usepackage.conf
    The default configuration file.

/usr/share/usepackage/use.csh
    Shell setup for csh and derivatives.

/usr/share/usepackage/use.bsh
    Shell setup for bourne shell and derivatives.

/usr/share/usepackage/use.ksh
    Shell setup for ksh.

/usr/bin/usepackage
    The underlying Usepackage executable.

ENVIRONMENT
Other than the reading and re-definition of environment variables for package setup, use also uses the following environment variables for user configuration:

PACKAGES_PATH
    Colon-separated path list giving the directories to search for configuration files. Shell-style tilde (~) user-directory escapes are expanded.

HOME
    If present in the environment, this is used to provide the expansion for the tilde (~) user-directory.

SHELL
    If present in the environment, the last path component of this is used for shell matching (see SYNTAX) and detecting the style of environment output that should be used, see usepackage(1).

COPYRIGHT
Usepackage Environment Manager
Copyright (C) 1995-2020  Jonathan Hogg  <me@jonathanhogg.com>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

SEE ALSO
usepackage(1), csh(1), sh(1), ksh(1)